<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.admin.FinancingDriver" table="financing_driver" catalog="crov_spa">
        <id name="id" type="string">
            <column name="id" length="36" />
            <generator class="assigned"></generator>
        </id>
        <many-to-one class="com.arrebol.taxiservicios.model.core.Person" fetch="select" name="driver" not-null="true">
            <column length="36" name="driver_id"/>
        </many-to-one>               
        <property name="lastDebit" type="double" not-null="true">
            <column name="last_debit"/>
        </property>
        <property name="monthDebit" type="double" not-null="true">
            <column name="month_debit"/>
        </property> 
        <property name="increase" type="double" not-null="true">
            <column name="increase"/>
        </property>   
        <property name="discount" type="double" not-null="true">
            <column name="discount"/>
        </property> 
        <property name="commentsDiscount" type="string">
            <column name="comments_discount" length="200" />
        </property>
        <property name="commentsIncrease" type="string">
            <column name="comments_increase" length="200" />
        </property>  
        <property name="payment" type="double" not-null="true">
            <column name="payment"/>
        </property>
        <property name="actuallyDebit" type="double" not-null="true">
            <column name="actually_debit"/>
        </property>  
        <property name="activeStatus" column="active_status" not-null="true">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.BasicType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <property name="comments" type="string">
            <column name="comments" length="200" />
        </property>
        <many-to-one name="createdBy" class="com.arrebol.taxiservicios.model.core.User" not-null="true" fetch="select">
            <column name="created_by" length="36" not-null="true"/>
        </many-to-one>
        <property name="createdOn" type="timestamp">
            <column length="19" name="created_on"/>
        </property>
        <many-to-one name="lastUpdatedBy" class="com.arrebol.taxiservicios.model.core.User" fetch="select">
            <column name="last_updated_by" length="36"/>
        </many-to-one>
        <property name="lastUpdatedOn" type="timestamp">
            <column length="19" name="last_updated_on" />
        </property>
        
    </class>
</hibernate-mapping>